LINUX.ORG.RU

OpenSUSE не устанавливается skype

 ,


0

1

Пытаюсь обновить скайп на OpenSUSE-42.3 через zypper install skypeforlinux-64.rpm:

Проблема: ничто не предоставляет libdbus-1.so.3(LIBDBUS_1_3)(64bit), необходимый для skypeforlinux-8.45.0.41-1.x86_64
 Решение 1: не устанавливать skypeforlinux-8.45.0.41-1.x86_64
 Решение 2: повредить skypeforlinux-8.45.0.41-1.x86_64, игнорируя некоторые из его зависимостей

при этом в системе присутствуют:

% rpm -qa | grep libdbus
libdbus-1-3-32bit-1.8.22-5.1.x86_64
libdbus-1-3-1.8.22-5.1.x86_64

% rpm -ql libdbus-1-3-1.8.22-5.1.x86_64
/etc/dbus-1
/etc/dbus-1/session.d
/etc/dbus-1/system.d
/lib64/libdbus-1.so.3
/lib64/libdbus-1.so.3.8.14
/usr/share/dbus-1
/usr/share/dbus-1/interfaces
/usr/share/dbus-1/services
/usr/share/dbus-1/system-services
.................................

Добавил также в переменную окружения PATH через мой домашний .zshrc:

PATH="/lib64:/lib:..."

Не помогло-при попытке установить скайп ошибка не исчезает.

Это нормальная ошибка, когда rpm-пакет собран для федоры. Там есть отличия в spec-файлах пакетов библиотек, что и приводит к подобным проблемам.

anonymous ()